## LOG4J配置
log4j.rootCategory=INFO, stdout,file,RUNNING,errorfile
## 控制台输出
log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss} %p %t %l %m%n
#log4j.appender.stdout.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss}:%5p %20t [%50F:%3L] - %m%n
#log4j.appender.stdout.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss} [ %t:%r ] - [ %p ] %l %m%n

## root日志输出到文件
log4j.logger.com.steerinfo.framework.datasource = ERROR
log4j.logger.com.hnshituo = ERROR
## sql打印日志
#log4j.logger.com.hnshituo.orm.plugins.CommonInterceptor = DEBUG
log4j.appender.file=org.apache.log4j.DailyRollingFileAppender
log4j.appender.file.file=/logsdata/logs/springboot-log4j-root.log
log4j.appender.file.DatePattern='.'yyyy-MM-dd
log4j.appender.file.layout=org.apache.log4j.PatternLayout
log4j.appender.file.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss,SSS}:%5p %20t [%50F:%3L] - %m%n

## 按不同package进行输出
## com.steer包下的日志配置
#log4j.category.market=DEBUG, steerfile
#log4j.category.com.hnshituo=DEBUG, steerfile
##log4j.category.com.steer=${logging.level.com.steer}, steerfile
#log4j.category.com.steer=DEBUG, steerfile
## com.steer下的日志输出
#log4j.appender.steerfile=org.apache.log4j.DailyRollingFileAppender
#log4j.appender.steerfile.file=/logsdata/logs/springboot-log4j-steer.log
#log4j.appender.steerfile.DatePattern='.'yyyy-MM-dd
#log4j.appender.steerfile.layout=org.apache.log4j.PatternLayout
#log4j.appender.steerfile.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss,SSS}:%5p %20t [%50F:%3L] - %m%n


## ERROR级别输出到特定的日志文件中
log4j.logger.error=errorfile
## 异常日志####
log4j.appender.errorfile=org.apache.log4j.DailyRollingFileAppender
log4j.appender.errorfile.file=/logs/exception/exc.log
log4j.appender.errorfile.DatePattern='.'yyyy-MM-dd
log4j.appender.errorfile.Threshold = ERROR
log4j.appender.errorfile.layout=org.apache.log4j.PatternLayout
#log4j.appender.errorfile.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss,SSS} %5p %c{1}:%L - %m%n
log4j.appender.errorfile.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss,SSS}:%5p %20t [%50F:%3L] - %m%n

### 运行日志 ###
log4j.appender.RUNNING = org.apache.log4j.DailyRollingFileAppender
log4j.appender.RUNNING.File =/logs/log/running.log
log4j.appender.RUNNING.Append = true
log4j.appender.RUNNING.Threshold = INFO
log4j.appender.RUNNING.DatePattern='.'yyyy-MM-dd.
log4j.appender.RUNNING.layout = org.apache.log4j.PatternLayout
log4j.appender.RUNNING.layout.ConversionPattern = %d{yyyy-MM-dd HH:mm:ss,SSS}:%5p %20t [%50F:%3L] - %m%n

### 指定类###
log4j.logger.com.steer.rbac.sysdebuglog.service.DebugLogRecord = DEBUG,DEB
## 调试日志 ###
log4j.appender.DEB = org.apache.log4j.DailyRollingFileAppender
log4j.appender.DEB.File = /logs/debug/debug.log
log4j.appender.DEB.Append = true
log4j.appender.DEB.Threshold = DEBUG 
log4j.appender.DEB.DatePattern='.'yyyy-MM-dd
log4j.appender.DEB.layout = org.apache.log4j.PatternLayout
log4j.appender.DEB.layout.ConversionPattern = %d{yyyy-MM-dd HH:mm:ss,SSS}:%5p %20t [%50F:%3L] - %m%n
####[%p] [%-d{yyyy-MM-dd HH:mm:ss}] %C.%M(%L) | %m%n

#### 业务日志###
log4j.logger.com.steer.rbac.sysoperlog.service.BizLogRecord = INFO,BIZ
log4j.appender.BIZ = org.apache.log4j.DailyRollingFileAppender
log4j.appender.BIZ.File = /logs/business/biz.log
log4j.appender.BIZ.Append = true
log4j.appender.BIZ.Threshold = INFO
log4j.appender.BIZ.DatePattern='.'yyyy-MM-dd
log4j.appender.BIZ.layout = org.apache.log4j.PatternLayout
log4j.appender.BIZ.layout.ConversionPattern = %d{yyyy-MM-dd HH:mm:ss,SSS}:%5p %20t [%50F:%3L] - %m%n
#
#
#### 资源日志###
#log4j.appender.ENV = org.apache.log4j.DailyRollingFileAppender
#log4j.appender.ENV.File = ../logs/env/env.log
#log4j.appender.ENV.Append = true
#log4j.appender.ENV.Threshold = INFO
#log4j.appender.ENV.DatePattern='.'yyyy-MM-dd
#1420.3og4j.appender.ENV.layout = org.apache.log4j.PatternLayout
#log4j.appender.ENV.layout.ConversionPattern = %d{yyyy-MM-dd HH:mm:ss,SSS}:%5p %20t [%50F:%3L] - %m%n